Package org.eclipse.microprofile.rest.client.tck.interfaces

# Interface InterfaceBase

All Known Subinterfaces:
  `InterfaceWithoutProvidersDefined`, `InterfaceWithoutProvidersDefinedWithConfigKey`, `InterfaceWithProvidersDefined`

public interface InterfaceBase

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`executePost(String body)`
`jakarta.ws.rs.core.Response`
`executePut(Widget id, String body)`

## Method Details

### executePost

jakarta.ws.rs.core.Response executePost(String body)

### executePut

jakarta.ws.rs.core.Response executePut(Widget id, String body)